local_backend: true

logo_url: /logo.svg

backend:
    name: github
    repo: uwazzi/uwazzi-v3
    branch: main
    # site_domain: glittering-medovik-18959d.netlify.app
    # base_url: https://github.com
    # # automatic_deployments: false
    # auth_endpoint: oauth

media_folder: "public/images"
public_folder: "/images"

i18n:
    structure: "multiple_folders"
    locales: ["en", "fr"]
    default_locale: "en"

collections:
    - name: "posts"
      i18n: true
      label: "Blog Posts"
      folder: "src/content/blog"
      create: true
      delete: true
      fields:
          - name: "title"
            widget: "string"
            label: "Post Title"
            i18n: true
          - label: "Draft"
            name: "draft"
            widget: "boolean"
            i18n: "duplicate"
          - label: "Author"
            name: "author"
            widget: "string"
            i18n: "duplicate"
          - label: "Tags"
            name: "tags"
            widget: "list"
            i18n: true
          - label: "Image"
            name: "image"
            widget: "object"
            i18n: true
            fields:
                - { label: Source, name: src, widget: image, i18n: "duplicate" }
                - { label: Alt Text, name: alt, widget: string, i18n: true }
          - label: "Snippet"
            name: "snippet"
            widget: "text"
            i18n: true
          - label: "Publish Date"
            name: "publishDate"
            widget: "datetime"
            format: "YYYY-MM-DD HH:mm"
            i18n: "duplicate"
          - label: "Category"
            name: "category"
            widget: "select"
            options: ["Use case", "News", "Reviews", "Research"]
            i18n: "duplicate"
          - name: "body"
            widget: "markdown"
            label: "Post Body"
            i18n: true
